#ifndef _FD_LOG_
#define _FD_LOG_

typedef struct Log Log;

#include "input.h"

struct Log {
  char** lines;
  int line_count;
  Input *input;
};

Log *create_log(void);
void draw_log(Log*);
void push_line_to_log(Log*, char*);
void free_log(Log*);

#endif
